Name:		pyxattr
Summary:	Extended attributes library wrapper for Python
Version:	0.8.1
Release:	1
License:	LGPLv2+
URL:		http://pyxattr.k1024.org/
Source:		https://pyxattr.k1024.org/downloads/%{name}-%{version}.tar.gz

BuildRequires:	gcc libattr-devel python3-devel python3-setuptools python3-pytest

%description
This is the pyxattr module, a Python extension module which gives access to
the extended attributes for filesystem objects available in some operating systems.

%package -n python3-%{name}
Summary:	Extended attributes library wrapper for Python 3

%description -n python3-%{name}
This is the pyxattr module, a Python extension module which gives access to
the extended attributes for filesystem objects available in some operating systems.
for python3

%prep
%setup -q

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%py3_build

%install
%py3_install

%check
touch check-xattr-support

if ! attr -s test -V test check-xattr-support >& /dev/null ;then
	echo "skipping tests because BUILD_FILE seem to lack xattr support"
else
	export TEST_IGNORE_XATTRS=security.selinux
	export PYTHONPATH=%{buildroot}%{python3_sitearch}
	%{__python3} -m pytest -v
fi

rm -rf check-xattr-support

%files -n python3-%{name}
%{python3_sitearch}/*.so
%{python3_sitearch}/pyxattr*
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README.md

%changelog
* Wed Jul 12 2023 dillon chen <dillon.chen@gmail.com> - 0.8.1-1
- update version to 0.8.1

* Wed Jul 5 2023 zhangruifang <zhangruifang1@h-partners.com> - 0.8.0-3
- check if the build environment supports attr before executing test

* Wed Mar 29 2023 fuanan <fuanan3@h-partners.com> - 0.8.0-2
- make the test check

* Wed Feb 01 2023 fuanan <fuanan3@h-partners.com> - 0.8.0-1
- update version to 0.8.0

* Wed Oct 26 2022 zhuofeng <zhuofeng2@huawei.com> - 0.7.2-3
- rebuild for next release

* Tue Feb 2 2021 zhangxingliang <zhangxingliang3@huawei.com> - 0.7.2-2
- revert changes in check

* Tue Jan 26 2021 zoulin <zoulin13@huawei.com> - 0.7.2-1
- update to 0.7.2

* Wed Jul 29 2020 zhangxingliang <zhangxingliang3@huawei.com> - 0.7.1-1
- update to 0.7.1

* Tue Jul 7 2020 Liquor <lirui130@huawei.com> - 0.6.1-2
- cancel the check

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.1-1
- Package init
